com.google.cloud.dataflow.sdk.options

## Interface GoogleApiDebugOptions

All Superinterfaces:
  HasDisplayData, PipelineOptions

All Known Subinterfaces:
  BigQueryOptions, BlockingDataflowPipelineOptions, DataflowPipelineOptions, DataflowWorkerHarnessOptions, DirectPipelineOptions, GcpOptions, GcsOptions, StreamingOptions, TestDataflowPipelineOptions

    public interface GoogleApiDebugOptions
    extends PipelineOptions

These options configure debug settings for Google API clients created within the Dataflow SDK.

### Nested Class Summary

Nested Classes
`static class` `GoogleApiDebugOptions.GoogleApiTracer` A `GoogleClientRequestInitializer` that adds the trace destination to Google API calls.

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`GoogleApiDebugOptions.GoogleApiTracer` `getGoogleApiTrace()` This option enables tracing of API calls to Google services used within the Dataflow SDK.
`void` `setGoogleApiTrace(GoogleApiDebugOptions.GoogleApiTracer commands)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getGoogleApiTrace

    GoogleApiDebugOptions.GoogleApiTracer getGoogleApiTrace()

This option enables tracing of API calls to Google services used within the Dataflow SDK. Values are expected in JSON format `{"ApiName":"TraceDestination",...}` where the `ApiName` represents the request classes canonical name. The `TraceDestination` is a logical trace consumer to whom the trace will be reported. Typically, "producer" is the right destination to use: this makes API traces available to the team offering the API. Note that by enabling this option, the contents of the requests to and from Google Cloud services will be made available to Google. For example, by specifying `{"Dataflow":"producer"}`, all calls to the Dataflow service will be made available to Google, specifically to the Google Cloud Dataflow team.

#### setGoogleApiTrace

    void setGoogleApiTrace(GoogleApiDebugOptions.GoogleApiTracer commands)